daily_energy_from_grid:
  source: sensor.total_energy_from_grid_v2
  name: "Energy from Grid (daily)"
  unique_id: daily_energy_from_grid
  cycle: daily

monthly_energy_from_grid:
  source: sensor.total_energy_from_grid_v2
  name: "Energy from Grid (monthly)"
  unique_id: monthly_energy_from_grid
  cycle: monthly

daily_energy_to_grid:
  source: sensor.total_energy_to_grid_v2
  name: "Energy to Grid (daily)"
  unique_id: daily_energy_to_grid
  cycle: daily

monthly_energy_to_grid:
  source: sensor.total_energy_to_grid_v2
  name: "Energy to Grid (monthly)"
  unique_id: monthly_energy_to_grid
  cycle: monthly

daily_energy_consumption:
  source: sensor.total_estimated_energy_consumption_v2
  name: "Estimated Energy Consumption (daily)"
  unique_id: daily_energy_consumption
  cycle: daily

monthly_energy_consumption:
  source: sensor.total_estimated_energy_consumption_v2
  name: "Estimated Energy Consumption (monthly)"
  unique_id: monthly_energy_consumption
  cycle: monthly

daily_energy_pv_consumption:
  source: sensor.total_estimated_pv_consumption_v2
  name: "Estimated PV Consumption (daily)"
  unique_id: daily_energy_pv_consumption
  cycle: daily

monthly_energy_pv_consumption:
  source: sensor.total_estimated_pv_consumption_v2
  name: "Estimated PV Consumption (monthly)"
  unique_id: monthly_energy_pv_consumption
  cycle: monthly
